Release Notes for

STMTouch Driver

Copyright © 2014 STMicroelectronics

Microcontrollers Division - Application Team

Overview

• The V2.x.x versions must be used only within the STM32Cube package. They are not compatible with the STMTouch Libraries.

Update History

V2.0.0 / 22-April-2014

Main Changes

• Change API to be compliant with STM32Cube package:

– Support of TSC acquisition only.

– The systick, the TSC peripheral and the IOs must be initialized now in the user code.

– The TSC parameters have been removed from the configuration file (renamed in tsl_conf.h).

V1.4.4 / 31-March-2014

Main Changes

• STM32F3xx acquisition module:

– Add the declaration of STM32F30X in case it is not defined.

Content

• Support of STM8L15x/16x/101 devices.

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices.

• Support of STM32L1xx devices.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.4.3 / 24-February-2014

Main Changes

• STM8L acquisition module:

– Optimization of the acquisition loop.

– Typo corrections.

• STM32L1xx sw acquisition module:

– Bug correction with GPIOE declaration.

– Update the defines used to select the STM32L1xx XL devices.

• STM32F0xx acquisition module:

– Update the defines used to select the STM32F0xx devices.

• STM32F3xx acquisition module:

– Update the defines used to select the STM32F30x devices.

• Common modules:

– Bug correction with DTO: the debounce and DTO counters are now independent.

• Documentation (CHM user manual):

– Update the STM32F0xx and STM32L1xx available channels tables.

– Add "Tips and Tricks" chapter.

Content

• Support of STM8L15x/16x/101 devices.

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices.

• Support of STM32L1xx devices.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.4.2 / 12-August-2013

Main Changes

• STM8L acquisition module:

– Add management of IO default mode.

– Correction in the max count detection.

• STM32L1xx acquisition module:

– Delay length is now configurable for sofware acquisition mode.

– Spread spectrum added for sofware acquisition mode.

• STM32F0xx acquisition module:

– Add TSLPRM_DELAY_DISCHARGE_ALL parameter.

– Use the SystemCoreClock variable to adjust the discharge delay.

Content

• Support of STM8L15x/16x/101 devices.

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices.

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes.

• Support of STM32L1xx Medium-density devices using sofware acquisition mode.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.4.1 / 14-June-2013

Main Changes

• Add support of STM8L101 devices.

• Add spread spectrum feature in STM8L software acquisition mode.

Content

• Support of STM8L15x/16x/101 devices (ALPHA).

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices.

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes.

• Support of STM32L1xx Medium-density devices using sofware acquisition mode.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.4.0 / 17-May-2013

Main Changes

• Add support of STM32F0xx 128K flash devices.

• Add support of STM8L15x/16x devices.

• Add threshold coefficient on re-calibration threshold.

• Bug correction in STM32F3xx acquisition module:

– add the configuration of the PA15 synchro pin for STM32F37x devices.

• Bugs correction in ECS module:

– when the ECS was stopped (due to a sensor touched) in one group it also stops the ECS for all the other groups.

– sensors placed after a sensor in off or error state was not processed.

Content

• Support of STM8L15x/16x devices (ALPHA).

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices.

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes.

• Support of STM32L1xx Medium-density devices using sofware acquisition mode.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.3.3 / 11-February-2013

Main Changes

• Update CHM documentation file.

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices.

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes.

• Support of STM32L1xx Medium-density devices using sofware acquisition mode.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.3.2 / 22-January-2013

Main Changes

• Change in STM32L1xx acquisition:

– GPIOs speed configured to "Very Low" (400 kHz).

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices (ALPHA).

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes.

• Support of STM32L1xx Medium-density devices using sofware acquisition mode.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.3.1 / 15-January-2013

Main Changes

• Improvement of STM32L1xx acquisition.

• Typo corrections.

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices (ALPHA).

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes.

• Support of STM32L1xx Medium-density devices using sofware acquisition mode.

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.3.0 / 10-December-2012

Main Changes

• Add support of STM32F30x and STM32F37x devices.

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices.

• Support of STM32F3xx devices (ALPHA).

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes (BETA).

• Support of STM32L1xx Medium-density devices using sofware acquisition mode (BETA).

• Support of proximity, touchkey and linear/rotary touch sensors.

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.2.0 / 30-November-2012

Main Changes

• Common.

– Change LinRot sensors position offset tables names (Mono, Half-ended, Dual).

– Add more LinRot sensors position offset tables with conditional compilation.

• STM8TL5x acquisition.

– Increase TSLPRM_KEY_TARGET_REFERENCE max value to 2000.

• STM32F0xx acquisition.

– Improvement of capacitors discharge processing.

– Add automatic GPIO configuration.

• STM32L1xx acquisition.

– Add support of Medium-density Plus devices.

– Rename files ("hw/sw" put after "stm32l1xx").

– Software acquisition is now done if TSLPRM_STM32L1XX_SW_ACQ is defined (was previously TSLPRM_STM32L1XX_HD_SW or TSLPRM_STM32L1XX_MDP_SW).

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices (BETA).

• Support of STM32L1xx High-density and Medium-density Plus devices using hardware and software acquisition modes (BETA).

• Support of STM32L1xx Medium-density devices using sofware acquisition mode (BETA).

• Support of proximity, touchkey and linear/rotary touch sensors (1, 3, 5 and 6 channels).

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

– Altium Tasking.

– Atollic TrueSTUDIO.

– Raisonance Ride7/RKit-Arm.

Known Limitations

• None.

V1.1.0 / 08-August-2012

Main Changes

• Improvement of hardware acquisition mode of STM32L1xx High-density devices:

– Disable hysteresis on sampling capacitor IOs to reduce acquisition noise level.

– Use of the timer TSUSP mode.

• Add support of Medium-density devices.

• Add sofware acquisition mode on STM32L1xx High and Medium density devices.

• Add TSLPRM_LINROT_USE_NORMDELTA parameter.

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices (BETA).

• Support of STM32L1xx High-density devices using hardware and software acquisition modes (BETA).

• Support of STM32L1xx Medium-density devices using sofware acquisition mode (BETA).

• Support of proximity, touchkey and linear/rotary touch sensors (1, 3, 5 and 6 channels).

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

Known Limitations

• None.

V1.0.0 / 25-June-2012

Main Changes

• First official release.

Content

• Support of STM8TL5x devices.

• Support of STM32F0xx devices (BETA).

• Support of STM32L1xx High-density devices using hardware acquisition mode (BETA).

• Support of proximity, touchkey and linear/rotary touch sensors (1, 3, 5 and 6 channels).

• Debounce mechanism for all states.

• Environment Change System (ECS).

• Detection Exclusion System (DXS).

• Detection Time Out (DTO).

• Noise filtering capability on measurement and delta.

Development Toolchains and Compilers

• STM8 devices:

– ST Visual Develop (STVD).

– IAR Embedded Workbench for STM8.

– Cosmic STM8 C Compiler.

– Raisonance Ride7/RKit-STM8.

• STM32 devices:

– IAR Embedded Workbench for ARM.

– Keil MDK-ARM.

Known Limitations

• Use of Linear/Rotary sensors with STM32L1xx High-density devices:

– The hardware acquisition is too noisy to properly support Linear/Rotary sensors.

– This noise induces an important jitter of the reported position.

– As a workaround, the position resolution must be configured to 4 bits maximum.

– The Touchkey sensors are not impacted by this issue.

License

Licensed under MCD-ST Liberty SW License Agreement V2, (the "License"). You may not use this file except in compliance with the License. You may obtain a copy of the License at:

http://www.st.com/software_license_agreement_liberty_v2

Unless required by applicable law or agreed to in writing, software distributed under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the License for the specific language governing permissions and limitations under the License.

---

For complete documentation on STMTouch microcontrollers please visit http://www.st.com/stmtouch

Generated by RNcreator v2.4